Index: jobvista-frontend/src/views/auth/SignUpRecruiterForm.js
===================================================================
--- jobvista-frontend/src/views/auth/SignUpRecruiterForm.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/auth/SignUpRecruiterForm.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -13,5 +13,5 @@
     const schema = yup.object().shape({
         companyNameReg: yup.string().required("Company name is required."),
-        phoneNumberReg: yup.number().required("Phone number is required"),
+        phoneNumberReg: yup.string().required("Phone number is required"),
         companyEmailReg: yup.string().required("Email is required.").email("Email is not valid."),
         passwordReg: yup.string().min(6, "Password must be at least 6 characters.").required("Password is required."),
@@ -32,5 +32,5 @@
                     //     theme: success ? 'success' : 'error'
                     // });
-                    success && navigate("/");
+                    success && navigate("/no-access");
                 }));
         } catch (err) {
Index: jobvista-frontend/src/views/dashboard/Dashboard.js
===================================================================
--- jobvista-frontend/src/views/dashboard/Dashboard.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/dashboard/Dashboard.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -34,31 +34,4 @@
 
 
-
-    // const [user, setUser] = useState(null);
-    //
-    // useEffect(() => {
-    //     const token = localStorage.getItem(AUTH_TOKEN);
-    //     if (token!=null) {
-    //         try {
-    //             const decodedToken = jwtDecode(token);
-    //             setUser({
-    //                 name: decodedToken.name,
-    //                 role: decodedToken.role,
-    //                 hasAccess: decodedToken.access,
-    //             });
-    //         } catch (error) {
-    //             console.error('Failed to decode token', error);
-    //         }
-    //     }
-    //     console.log(user)
-    // }, [auth]);
-
-    // useEffect(() => {
-    //     if (auth) {
-    //         setRole(auth.role);
-    //     }
-    //     console.log(props)
-    // }, [auth]);
-
     useEffect(() => {
         if (!jobDispatched && jobAdvertisementsState.length == 0) {
@@ -72,5 +45,5 @@
 
         } else {
-            setJobAdvertisements(jobAdvertisementsState)
+            setJobAdvertisements(sortElementsBy(jobAdvertisementsState, "postedOn"))
             console.log("Fetch all job advertisements STATE")
 
@@ -160,5 +133,5 @@
                     jobAdvertisements.map((jobAd, index) => (
                         <div key={index} className="col">
-                            <div className="custom-card">
+                            <div className="custom-card dashboard-card">
                                 <div className="card-head">
                                     <span className="hourly-salary"><b>${jobAd.startingSalary}/hr</b></span>
@@ -187,9 +160,8 @@
                                     </div>
 
-                                    <div className="aligned">
-                                        <Link to={`/job-advertisements/${jobAd.id}`} className="card-button">Read
-                                            more</Link>
-                                    </div>
-
+                                </div>
+                                <div className="card-foot">
+                                    <Link to={`/job-advertisements/${jobAd.id}`} className="card-button">Read
+                                        more</Link>
                                 </div>
                             </div>
Index: jobvista-frontend/src/views/job_advertisements/AddJobAdModal.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/AddJobAdModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/job_advertisements/AddJobAdModal.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -43,5 +43,4 @@
 
     const addJobAdvertisement = async (values) => {
-        //const description = values.description.replace(/\n/g, "\\n");
         try {
             dispatch(JobAdvertisementActions.addJobAdvertisement(
@@ -55,7 +54,6 @@
                     jobType: values.jobType.value,
                     employmentStatus: values.employmentStatus.value,
-                }, (success, response) => {
+                }, (success) => {
                     if (success) {
-                        // console.log("Job Advertisement added")
                         toggleModal()
                         notifyJobAdPost()
Index: jobvista-frontend/src/views/job_advertisements/DeleteJobAdModal.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/DeleteJobAdModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/job_advertisements/DeleteJobAdModal.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -26,9 +26,8 @@
     };
 
-    const addJobAdvertisement = async () => {
+    const deleteJobAdvertisement = async () => {
         try {
-            dispatch(JobAdvertisementActions.deleteJobAdvertisement(jobAd.props.id, (success, response) => {
+            dispatch(JobAdvertisementActions.deleteJobAdvertisement(jobAd.props.id, (success) => {
                 if (success) {
-                    // console.log("Job Advertisement deleted")
                     toggleModal()
                     notifyJobAdDelete()
@@ -54,5 +53,5 @@
                 <div className="modal-delete-buttons">
                     <button className="cancel-btn" onClick={toggleModal}>Cancel</button>
-                    <button className="delete-btn" onClick={addJobAdvertisement}> Delete</button>
+                    <button className="delete-btn" onClick={deleteJobAdvertisement}> Delete</button>
                 </div>
             </div>
Index: jobvista-frontend/src/views/job_advertisements/EditJobAdModal.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/EditJobAdModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/job_advertisements/EditJobAdModal.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -54,7 +54,6 @@
                     jobType: values.jobType.value,
                     employmentStatus: values.employmentStatus.value,
-                }, jobAd.props.id, (success, response) => {
+                }, jobAd.props.id, (success) => {
                     if(success) {
-                        // console.log("Job Advertisement edited")
                         toggleModal()
                         notifyJobAdEdit()
Index: jobvista-frontend/src/views/job_advertisements/JobAdDetails.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/JobAdDetails.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/job_advertisements/JobAdDetails.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -63,5 +63,5 @@
         <div className="row">
             <div className="col-md-9">
-                <div className="details-wrap">
+                <div className="details-wrap min-wrap">
                     <div className="row">
                         <div className="col-md-9">
Index: jobvista-frontend/src/views/job_advertisements/JobManagementHub.js
===================================================================
--- jobvista-frontend/src/views/job_advertisements/JobManagementHub.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/views/job_advertisements/JobManagementHub.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,166 @@
+import {AddJobAdModal} from "./AddJobAdModal";
+
+import "./JobAdvertisements.css"
+import "../shared_css/Random.css"
+
+import {useDispatch, useSelector} from "react-redux";
+import {useEffect, useState} from "react";
+import {JobAdvertisementActions} from "../../redux/actions/jobAdvertisementActions";
+import {formatRelativeTime, sortElementsBy} from "../../utils/utils";
+import {dataRangeOptions, industryOptions, industryOptionsFilter, sortOptions} from "../selectOptions";
+import Select from "react-select";
+import {DeleteJobAdModal} from "./DeleteJobAdModal";
+import {EditJobAdModal} from "./EditJobAdModal";
+import {Link} from "react-router-dom";
+import JobType from "../../enumerations/JobType";
+import {RecruiterActions} from "../../redux/actions/recruiterActions";
+
+
+export const Workspace = (props) => {
+
+    const dispatch = useDispatch();
+    const [dispatched, setDispatched] = useState(false)
+
+    const auth = useSelector(state => (state.auth.currentUser))
+
+    const [jobAdvertisementsByRecruiter, setJobAdvertisementsByRecruiter] = useState([]);
+    let jobAdvertisementsByRecruiterState = useSelector(state => (state.jobAd.jobAdvertisementsByRecruiter))
+
+    const [recruiterDetails, setRecruiterDetails] = useState(null);
+
+    const [selectedSortOrder, setSelectedSortOrder] = useState("date_newest");
+    const [selectedIndustry, setSelectedIndustry] = useState("all");
+    const [searchTerm, setSearchTerm] = useState("");
+
+    const [activeJobListingsCount, setActiveJobListingsCount] = useState(0);
+
+    useEffect(() => {
+        if (auth) {
+            dispatch(RecruiterActions.fetchRecruiterEditDetailsById(auth.id, (success, response) => {
+                if (success) {
+                    setRecruiterDetails(response.data)
+                }
+            }))
+        }
+    }, [auth]);
+
+
+    useEffect(() => {
+        if (!dispatched && jobAdvertisementsByRecruiterState.length === 0) {
+            dispatch(JobAdvertisementActions.fetchJobAdvertisementsByRecruiter(auth.id, (success, response) => {
+                if (success && response.data.length > 0) {
+                    setJobAdvertisementsByRecruiter(sortElementsBy(response.data))
+                }
+                console.log("Fetch job advertisements by recruiter GET")
+            }))
+            setDispatched(true);
+
+        } else {
+            setJobAdvertisementsByRecruiter(jobAdvertisementsByRecruiterState)
+            console.log("Fetch job advertisements by recruiter STATE")
+
+            setActiveJobListingsCount(countActiveJobListings(jobAdvertisementsByRecruiterState));
+        }
+
+    }, [jobAdvertisementsByRecruiterState])
+
+    let filterJobAdvertisements = () => {
+        JobAdvertisementActions.filterJobAdvertisementsByRecruiter(auth.id, {
+            searchTerm: searchTerm, industry: selectedIndustry, sortOrder: selectedSortOrder
+        }, (success, response) => {
+            if (success) {
+                setJobAdvertisementsByRecruiter(response.data);
+            }
+        })
+    }
+
+    function countActiveJobListings(jobAds) {
+        if (jobAds.length > 0) {
+            const activeJobListings = jobAds.filter(job => job.active)
+            return activeJobListings.length;
+        }
+        return 0;
+    }
+
+    return (<div className="container">
+
+            {/*<div className="line-separator"></div>*/}
+
+            <div className="filter-container">
+                <div className="row">
+                    <div className="col-md-12 filter-box">
+                        <div className="search-container">
+                            <i className="fa-solid fa-magnifying-glass search-icon"></i>
+                            <input
+                                className="search-input"
+                                type="text"
+                                placeholder="Search job advertisement by title..."
+                                value={searchTerm}
+                                onChange={event => setSearchTerm(event.target.value)}
+                            />
+                        </div>
+                        <div className="sort-section item">
+                            <Select
+                                defaultValue={{value: "all", label: "All industries"}}
+                                value={selectedIndustry.value}
+                                onChange={option => setSelectedIndustry(option.value)}
+                                options={industryOptionsFilter}
+                                className="sort-range sort"
+                            />
+                        </div>
+                        <div className="sort-section item">
+                            <Select
+                                defaultValue={{value: "newest", label: "Date (Newest First)"}}
+                                value={selectedSortOrder.value}
+                                onChange={option => setSelectedSortOrder(option.value)}
+                                options={sortOptions}
+                                className="sort-range sort"
+                            />
+                        </div>
+                        <button onClick={filterJobAdvertisements} className="blue-submit-button">Find jobs</button>
+                    </div>
+                </div>
+            </div>
+            <div className="row row-cols-1 row-cols-md-5 g-3">
+                <AddJobAdModal/>
+
+                {jobAdvertisementsByRecruiter && jobAdvertisementsByRecruiter.map((jobAd, index) => (
+                    <div key={index} className="col">
+                        <div className="custom-card hub-card">
+                            <div className="card-head">
+                                <span className="hourly-salary"><b>${jobAd.startingSalary}/hr</b></span>
+                                <span
+                                    className="job-type"> {jobAd.jobType === JobType.JOB ? "Job" : "Internship"}</span>
+                                {!jobAd.active && <span className="expired">Expired</span>}
+                                <div className="card-management-btns">
+                                    <DeleteJobAdModal props={jobAd}/>
+                                    <EditJobAdModal props={jobAd}/>
+                                </div>
+                            </div>
+                            <div className="card-body">
+                                <h5 className="card-title">{jobAd.title}</h5>
+                                <span>{jobAd.industry} • <span style={{
+                                    color: "black", fontWeight: "bold"
+                                }}>{formatRelativeTime(jobAd.postedOn)}</span></span>
+                                <div className="card-info">
+                                        <span><i className="fa-solid fa-building"
+                                                 style={{color: "#000000"}}></i> Company: <span style={{
+                                            color: "black", fontWeight: "bold"
+                                        }}>{jobAd.recruiterName}</span></span> <br/>
+                                </div>
+
+                            </div>
+
+
+                            <div className="card-foot">
+                                <Link to={`/job-management-hub/applications/${jobAd.id}`}
+                                      className="card-button">View applications</Link>
+                            </div>
+                        </div>
+                    </div>))}
+            </div>
+        </div>
+
+
+    )
+}
Index: jobvista-frontend/src/views/profiles/JobSeekerEditProfile.js
===================================================================
--- jobvista-frontend/src/views/profiles/JobSeekerEditProfile.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/views/profiles/JobSeekerEditProfile.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,252 @@
+import React, {useEffect, useState} from "react";
+
+import "../shared_css/Modal.css"
+
+import 'react-responsive-modal/styles.css';
+import "./JobSeekerEditProfile.css"
+
+//Validation
+import * as yup from "yup";
+import {yupResolver} from "@hookform/resolvers/yup";
+import {Controller, useForm} from "react-hook-form";
+
+import {useDispatch, useSelector} from "react-redux";
+import {JobSeekerActions} from "../../redux/actions/JobSeekerActions";
+import {notifyProfileEdit, notifyProfilePicChange} from "../../utils/toastUtils";
+
+
+export const JobSeekerEditProfile = (props) => {
+
+    const dispatch = useDispatch();
+    const auth = useSelector(state => state.auth.currentUser)
+
+    const [seekerDetails, setSeekerDetails] = useState(null);
+
+    const [profilePicFile, setProfilePicFile] = useState(null);
+
+    let profilePicState = useSelector(state => state.images.profilePictures);
+
+    const [profilePicPreview, setProfilePicPreview] = useState(null);
+    const [profilePicView, setProfilePicView] = useState(null);
+
+
+    useEffect(() => {
+        if(auth) {
+            dispatch(JobSeekerActions.fetchJobSeekerEditDetailsById(auth.id, (success, response) => {
+                if(success) {
+                    setSeekerDetails(response.data);
+                    console.log(response.data)
+                }
+            }))
+        }
+    }, [auth])
+
+    useEffect(() => {
+        if (auth.id) {
+            if(!profilePicState[auth.id]) {
+                dispatch(JobSeekerActions.downloadProfilePic(auth.id, (success, response) => {
+                    if (success) {
+                        setProfilePicView(response)
+                        //setDispatched(true)
+                    }
+                }))
+                //console.log("LOGO FETCH")
+            } else {
+                setProfilePicView(profilePicState[auth.id])
+                //console.log("LOGO STATE")
+            }
+
+        }
+
+    }, [auth])
+    const schema = yup.object().shape({
+        email: yup.string().required("Please enter your email"),
+        firstName: yup.string().required("Please enter your first name"),
+        lastName: yup.string().required("Please enter your last name"),
+        phoneNumber: yup.string().required("Please enter your phone number"),
+
+    })
+
+
+
+    const {register, handleSubmit, formState: {errors}} = useForm({
+        resolver: yupResolver(schema),
+    });
+
+    const editJobSeekerDetails = async (values) => {
+        try {
+            dispatch(JobSeekerActions.editJobSeekerDetailsById(
+                {
+                    email: values.email,
+                    firstName: values.firstName,
+                    lastName: values.lastName,
+                    phoneNumber: values.phoneNumber,
+
+
+                }, auth.id, (success, response) => {
+                    if (success) {
+                        // console.log("Recruiter details edited")
+                        notifyProfileEdit()
+                        setSeekerDetails(response.data)
+                    }
+                }
+            ))
+        } catch (err) {
+            console.error(err)
+        }
+    }
+
+    const handleButtonClick = () => {
+        document.getElementById('logo-upload-input').click();
+    };
+    const handleLogoChange = (event) => {
+        const file = event.target.files[0];
+        if (file && (file.type === 'image/png' || file.type === 'image/jpeg')) {
+            setProfilePicFile(file)
+            setProfilePicPreview(URL.createObjectURL(file));
+        }
+        event.target.value = null;
+    };
+    const handleLogoUpload = async () => {
+        try {
+            const formData = new FormData();
+            formData.append("jobSeekerId", auth.id);
+            formData.append("profilePicFile", profilePicFile);
+
+            dispatch(JobSeekerActions.submitProfilePic(formData, (success, response) => {
+                if (success) {
+                    // window.location.reload(); // MAYBE REMOVE
+                    // console.log("Logo uploaded successfully")
+                    notifyProfilePicChange()
+                    setProfilePicPreview(null)
+                    setProfilePicView(URL.createObjectURL(profilePicFile))
+
+                }
+            }))
+
+        } catch (error) {
+            console.error(error)
+        }
+    }
+
+    const handleCancelUpload = () => {
+        setProfilePicFile(null)
+        setProfilePicPreview(null)
+    }
+
+
+    return (<div className="custom-container no-additional-margin">
+
+        {profilePicPreview && (
+            <div className="confirmation-bar">
+                <div className="confirmation-bar-buttons">
+                    <button className="cancel-changes" onClick={handleCancelUpload}>Cancel</button>
+                    <button className="save-changes" onClick={handleLogoUpload}>Save changes</button>
+
+                </div>
+            </div>
+        )}
+        <div className="photo-box">
+            <div>
+                <img
+                    src="/images/mountains.png"
+                    className="company-banner"
+                    alt="Company Banner"
+                />
+                {profilePicPreview ? <>
+                    <img
+                        src={profilePicPreview}
+                        className="profile-pic"
+                        alt=""
+                        width={200} height={200}
+                    />
+                </> : <>
+                    <img
+                        // loading gif
+                        src={profilePicView}
+                        className="profile-pic"
+                        alt=""
+                        width={200} height={200}
+                    />
+                </>}
+
+            </div>
+
+            <div className="info-tab">
+                {seekerDetails &&  <h3>{seekerDetails.firstName + " " + seekerDetails.lastName}</h3>}
+                {/*<p>Active job listings: <span>{activeJobListingsCount}</span></p>*/}
+            </div>
+
+            <div className="edit-buttons">
+
+                <input
+                    type="file"
+                    id="logo-upload-input"
+                    accept="image/png, image/jpeg"
+                    onChange={handleLogoChange}
+                    style={{display: 'none'}}
+                />
+                <button onClick={handleButtonClick}>
+                    <i className="fa-solid fa-camera"></i> Change profile picture
+                </button>
+                <button><i className="fa-solid fa-panorama"></i> Change cover photo</button>
+            </div>
+
+        </div>
+
+
+
+        {seekerDetails &&
+            <>
+                <div className="floating-wrap">
+                    <h5>Personal details</h5>
+                    <form onSubmit={handleSubmit(editJobSeekerDetails)}>
+                        <div className="row">
+                            <div className="col-md-12">
+
+
+                                <div className="form-floating mb-3">
+                                    <input type="text" className="form-control" defaultValue={seekerDetails.email}  {...register("email")}
+                                           placeholder="David"/>
+                                    <label htmlFor="floatingFirstName">Email address</label>
+                                    <p className="error-message">{errors.email?.message}</p>
+                                </div>
+
+                                <div className="form-floating mb-3">
+                                    <input type="text" className="form-control" defaultValue={seekerDetails.firstName}  {...register("firstName")}
+                                           placeholder="David"/>
+                                    <label htmlFor="floatingFirstName">First name</label>
+                                    <p className="error-message">{errors.firstName?.message}</p>
+                                </div>
+
+                                <div className="form-floating mb-3">
+                                    <input type="text" className="form-control" defaultValue={seekerDetails.lastName} {...register("lastName")}
+                                           placeholder="David"/>
+                                    <label htmlFor="floatingFirstName">Last name</label>
+                                    <p className="error-message">{errors.lastName?.message}</p>
+                                </div>
+
+
+                                <div className="form-floating mb-3">
+                                    <input type="text" className="form-control" defaultValue={seekerDetails.phoneNumber}  {...register("phoneNumber")}
+                                           placeholder="David"/>
+                                    <label htmlFor="floatingFirstName">Phone number</label>
+                                    <p className="error-message">{errors.phoneNumber?.message}</p>
+                                </div>
+
+
+                            </div>
+                        </div>
+
+                        <div className="d-flex justify-content-end">
+                            <button className="blue-submit-button" type="submit"> Save changes</button>
+                        </div>
+
+                    </form>
+                </div>
+            </>
+        }
+
+
+    </div>)
+}
